package md

import "applet/app/db/model"

type EnterpriseDetailRespV2 struct {
	Enterprise model.Enterprise    `json:"enterprise"`
	GradeList  []GradeListStructV2 `json:"grade_list"`
}

type GradeListStructV2 struct {
	Grade     model.Grade   `json:"grade"`
	ClassList []model.Class `json:"class_list"`
}

type SelfSupportForSchoolUpdateReq struct {
	Id        int    `json:"id" binding:"required" label:"企业id"`
	Name      string `json:"name" binding:"required" label:"名称"`
	Pvd       int32  `json:"pvd" label:"场景"`
	Kind      int32  `json:"kind" binding:"required" label:"种类(1:央厨-学校 2:央厨-工厂 3:自营-学校 4:自营-工厂 5:养老院)"`
	CompanyId int    `json:"company_id" binding:"required" label:"所属公司id"`
	Memo      string `json:"memo" label:"备注"`
	State     int32  `json:"state" label:"状态"`
	GradeList []struct {
		Id        int    `json:"id" label:"年级id"`
		Name      string `json:"name" label:"名称"`
		ClassList []struct {
			Id   int    `json:"id" label:"班级id"`
			Name string `json:"name" label:"名称"`
		} `json:"class_list" label:"班级"`
	} `json:"grade_list" label:"年级"`
}
