package db

import (
	"applet/app/db/model"
	"applet/app/utils/logx"
	"reflect"
	"xorm.io/xorm"
)

type CentralKitchenForSchoolSetDb struct {
	Db           *xorm.Engine `json:"db"`
	EnterpriseId int          `json:"enterprise_id"`
}

func (centralKitchenForSchoolSetDb *CentralKitchenForSchoolSetDb) Set(enterpriseId int) { // set方法
	centralKitchenForSchoolSetDb.Db = Db
	centralKitchenForSchoolSetDb.EnterpriseId = enterpriseId
}

func (centralKitchenForSchoolSetDb *CentralKitchenForSchoolSetDb) GetCentralKitchenForSchoolSet() (m *model.CentralKitchenForSchoolSet, err error) {
	m = new(model.CentralKitchenForSchoolSet)
	has, err := centralKitchenForSchoolSetDb.Db.Where("enterprise_id =?", centralKitchenForSchoolSetDb.EnterpriseId).Get(m)
	if err != nil {
		return nil, logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}

func (centralKitchenForSchoolSetDb *CentralKitchenForSchoolSetDb) CentralKitchenForSchoolSetInsert(m *model.CentralKitchenForSchoolSet) (int, error) {
	_, err := centralKitchenForSchoolSetDb.Db.InsertOne(m)
	if err != nil {
		return 0, err
	}
	return m.Id, nil
}

func (centralKitchenForSchoolSetDb *CentralKitchenForSchoolSetDb) BatchAddCentralKitchenForSchoolSets(mm []*model.CentralKitchenForSchoolSet) (int64, error) {
	affected, err := centralKitchenForSchoolSetDb.Db.Insert(mm)
	if err != nil {
		return 0, err
	}
	return affected, nil
}

func (centralKitchenForSchoolSetDb *CentralKitchenForSchoolSetDb) CentralKitchenForSchoolSetDeleteById(id interface{}) (int64, error) {
	if reflect.TypeOf(id).Kind() == reflect.Slice {
		return Db.In("id", id).Delete(model.CentralKitchenForSchoolSet{})
	} else {
		return Db.Where("id = ?", id).Delete(model.CentralKitchenForSchoolSet{})
	}
}

func (centralKitchenForSchoolSetDb *CentralKitchenForSchoolSetDb) CentralKitchenForSchoolSetDelete() (int64, error) {
	return Db.Where("enterprise_id = ?", centralKitchenForSchoolSetDb.EnterpriseId).Delete(model.CentralKitchenForSchoolSet{})
}

func (centralKitchenForSchoolSetDb *CentralKitchenForSchoolSetDb) CentralKitchenForSchoolSetUpdate(id interface{}, m *model.CentralKitchenForSchoolSet, forceColums ...string) (int64, error) {
	var (
		affected int64
		err      error
	)
	if forceColums != nil {
		affected, err = centralKitchenForSchoolSetDb.Db.Where("id=?", id).Cols(forceColums...).Update(m)
	} else {
		affected, err = centralKitchenForSchoolSetDb.Db.Where("id=?", id).Update(m)
	}
	if err != nil {
		return 0, err
	}
	return affected, nil
}
